<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="en">

<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>LCOV - lcov.info - src\settlement\settlement_page.dart</title>
  <link rel="stylesheet" type="text/css" href="../../gcov.css">
</head>

<body>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="title">LCOV - code coverage report</td></tr>
    <tr><td class="ruler"><img src="../../glass.png" width=3 height=3 alt=""></td></tr>

    <tr>
      <td width="100%">
        <table cellpadding=1 border=0 width="100%">
          <tr>
            <td width="10%" class="headerItem">Current view:</td>
            <td width="35%" class="headerValue"><a href="../../index.html">top level</a> - <a href="index.html">src\settlement\settlement_page.dart</a> - settlement_page.dart<span style="font-size: 80%;"> (source / <a href="settlement_page.dart.func-sort-c.html">functions</a>)</span></td>
            <td width="5%"></td>
            <td width="15%"></td>
            <td width="10%" class="headerCovTableHead">Hit</td>
            <td width="10%" class="headerCovTableHead">Total</td>
            <td width="15%" class="headerCovTableHead">Coverage</td>
          </tr>
          <tr>
            <td class="headerItem">Test:</td>
            <td class="headerValue">lcov.info</td>
            <td></td>
            <td class="headerItem">Lines:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">180</td>
            <td class="headerCovTableEntryLo">0.0 %</td>
          </tr>
          <tr>
            <td class="headerItem">Date:</td>
            <td class="headerValue">Sat Jan  7 15:41:32 2023</td>
            <td></td>
            <td class="headerItem">Functions:</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntry">0</td>
            <td class="headerCovTableEntryHi">-</td>
          </tr>
          <tr><td><img src="../../glass.png" width=3 height=3 alt=""></td></tr>
        </table>
      </td>
    </tr>

    <tr><td class="ruler"><img src="../../glass.png" width=3 height=3 alt=""></td></tr>
  </table>

  <table cellpadding=0 cellspacing=0 border=0>
    <tr>
      <td><br></td>
    </tr>
    <tr>
      <td>
<pre class="sourceHeading">          Line data    Source code</pre>
<pre class="source">
<a name="1"><span class="lineNum">       1 </span>            : import 'package:flutter/material.dart';</a>
<a name="2"><span class="lineNum">       2 </span>            : import 'package:flutter/services.dart';</a>
<a name="3"><span class="lineNum">       3 </span>            : import 'package:flutter_riverpod/flutter_riverpod.dart';</a>
<a name="4"><span class="lineNum">       4 </span>            : import 'package:font_awesome_flutter/font_awesome_flutter.dart';</a>
<a name="5"><span class="lineNum">       5 </span>            : import 'package:google_fonts/google_fonts.dart';</a>
<a name="6"><span class="lineNum">       6 </span>            : import 'package:share_plus/share_plus.dart';</a>
<a name="7"><span class="lineNum">       7 </span>            : import 'package:descubreecuador/models/settlement.dart';</a>
<a name="8"><span class="lineNum">       8 </span>            : import 'package:descubreecuador/tools/colors.dart';</a>
<a name="9"><span class="lineNum">       9 </span>            : import 'package:descubreecuador/widget/icon_label_button.dart';</a>
<a name="10"><span class="lineNum">      10 </span>            : import 'package:url_launcher/url_launcher.dart';</a>
<a name="11"><span class="lineNum">      11 </span>            : </a>
<a name="12"><span class="lineNum">      12 </span>            : import 'package:http/http.dart' as http;</a>
<a name="13"><span class="lineNum">      13 </span>            : </a>
<a name="14"><span class="lineNum">      14 </span>            : class SettlementDetailPage extends ConsumerWidget {</a>
<a name="15"><span class="lineNum">      15 </span><span class="lineNoCov">          0 :   const SettlementDetailPage(this.settlement, {Key? key}) : super(key: key);</span></a>
<a name="16"><span class="lineNum">      16 </span>            : </a>
<a name="17"><span class="lineNum">      17 </span>            :   final Settlement settlement;</a>
<a name="18"><span class="lineNum">      18 </span>            : </a>
<a name="19"><span class="lineNum">      19 </span><span class="lineNoCov">          0 :   @override</span></a>
<a name="20"><span class="lineNum">      20 </span>            :   Widget build(BuildContext context, WidgetRef ref) {</a>
<a name="21"><span class="lineNum">      21 </span><span class="lineNoCov">          0 :     return Scaffold(</span></a>
<a name="22"><span class="lineNum">      22 </span><span class="lineNoCov">          0 :         body: Stack(</span></a>
<a name="23"><span class="lineNum">      23 </span><span class="lineNoCov">          0 :       children: [</span></a>
<a name="24"><span class="lineNum">      24 </span>            :         //background bottom text with opacity with the name of settlement</a>
<a name="25"><span class="lineNum">      25 </span><span class="lineNoCov">          0 :         Positioned(</span></a>
<a name="26"><span class="lineNum">      26 </span>            :           bottom: 0,</a>
<a name="27"><span class="lineNum">      27 </span>            :           right: 0,</a>
<a name="28"><span class="lineNum">      28 </span><span class="lineNoCov">          0 :           child: Icon(</span></a>
<a name="29"><span class="lineNum">      29 </span>            :             FontAwesomeIcons.store,</a>
<a name="30"><span class="lineNum">      30 </span><span class="lineNoCov">          0 :             color: colors.blue.withOpacity(.5),</span></a>
<a name="31"><span class="lineNum">      31 </span><span class="lineNoCov">          0 :             size: MediaQuery.of(context).size.height * .3,</span></a>
<a name="32"><span class="lineNum">      32 </span>            :           ),</a>
<a name="33"><span class="lineNum">      33 </span>            :         ),</a>
<a name="34"><span class="lineNum">      34 </span><span class="lineNoCov">          0 :         Container(</span></a>
<a name="35"><span class="lineNum">      35 </span><span class="lineNoCov">          0 :           color: Colors.white.withOpacity(.7),</span></a>
<a name="36"><span class="lineNum">      36 </span><span class="lineNoCov">          0 :           child: Column(</span></a>
<a name="37"><span class="lineNum">      37 </span>            :             crossAxisAlignment: CrossAxisAlignment.start,</a>
<a name="38"><span class="lineNum">      38 </span><span class="lineNoCov">          0 :             children: [</span></a>
<a name="39"><span class="lineNum">      39 </span>            :               //Clip container bottom border rounded</a>
<a name="40"><span class="lineNum">      40 </span><span class="lineNoCov">          0 :               ClipRRect(</span></a>
<a name="41"><span class="lineNum">      41 </span>            :                 borderRadius: const BorderRadius.only(</a>
<a name="42"><span class="lineNum">      42 </span>            :                   bottomRight: Radius.circular(50),</a>
<a name="43"><span class="lineNum">      43 </span>            :                   bottomLeft: Radius.circular(50),</a>
<a name="44"><span class="lineNum">      44 </span>            :                 ),</a>
<a name="45"><span class="lineNum">      45 </span><span class="lineNoCov">          0 :                 child: Container(</span></a>
<a name="46"><span class="lineNum">      46 </span><span class="lineNoCov">          0 :                     decoration: BoxDecoration(</span></a>
<a name="47"><span class="lineNum">      47 </span><span class="lineNoCov">          0 :                         color: colors.blue,</span></a>
<a name="48"><span class="lineNum">      48 </span>            :                         borderRadius: const BorderRadius.only()),</a>
<a name="49"><span class="lineNum">      49 </span><span class="lineNoCov">          0 :                     height: MediaQuery.of(context).size.height / 7,</span></a>
<a name="50"><span class="lineNum">      50 </span>            :                     width: double.infinity,</a>
<a name="51"><span class="lineNum">      51 </span>            :                     padding: const EdgeInsets.all(25),</a>
<a name="52"><span class="lineNum">      52 </span><span class="lineNoCov">          0 :                     child: Column(</span></a>
<a name="53"><span class="lineNum">      53 </span>            :                       crossAxisAlignment: CrossAxisAlignment.center,</a>
<a name="54"><span class="lineNum">      54 </span><span class="lineNoCov">          0 :                       children: [</span></a>
<a name="55"><span class="lineNum">      55 </span><span class="lineNoCov">          0 :                         Row(</span></a>
<a name="56"><span class="lineNum">      56 </span><span class="lineNoCov">          0 :                           children: [</span></a>
<a name="57"><span class="lineNum">      57 </span><span class="lineNoCov">          0 :                             IconButton(</span></a>
<a name="58"><span class="lineNum">      58 </span><span class="lineNoCov">          0 :                                 onPressed: () {</span></a>
<a name="59"><span class="lineNum">      59 </span><span class="lineNoCov">          0 :                                   Navigator.pop(context);</span></a>
<a name="60"><span class="lineNum">      60 </span>            :                                 },</a>
<a name="61"><span class="lineNum">      61 </span>            :                                 icon: const Icon(</a>
<a name="62"><span class="lineNum">      62 </span>            :                                   Icons.arrow_back,</a>
<a name="63"><span class="lineNum">      63 </span>            :                                   color: Colors.white,</a>
<a name="64"><span class="lineNum">      64 </span>            :                                 )),</a>
<a name="65"><span class="lineNum">      65 </span><span class="lineNoCov">          0 :                             SizedBox(</span></a>
<a name="66"><span class="lineNum">      66 </span><span class="lineNoCov">          0 :                               width: MediaQuery.of(context).size.width * 0.7,</span></a>
<a name="67"><span class="lineNum">      67 </span><span class="lineNoCov">          0 :                               height: MediaQuery.of(context).size.height / 20,</span></a>
<a name="68"><span class="lineNum">      68 </span><span class="lineNoCov">          0 :                               child: Text(</span></a>
<a name="69"><span class="lineNum">      69 </span><span class="lineNoCov">          0 :                                 settlement.nombreComercial ?? &quot;Establecimiento&quot;,</span></a>
<a name="70"><span class="lineNum">      70 </span><span class="lineNoCov">          0 :                                 style: GoogleFonts.lato(</span></a>
<a name="71"><span class="lineNum">      71 </span>            :                                     fontSize:</a>
<a name="72"><span class="lineNum">      72 </span><span class="lineNoCov">          0 :                                         MediaQuery.of(context).textScaleFactor *</span></a>
<a name="73"><span class="lineNum">      73 </span>            :                                             25,</a>
<a name="74"><span class="lineNum">      74 </span>            :                                     fontWeight: FontWeight.bold,</a>
<a name="75"><span class="lineNum">      75 </span>            :                                     color: Colors.white),</a>
<a name="76"><span class="lineNum">      76 </span>            :                               ),</a>
<a name="77"><span class="lineNum">      77 </span>            :                             ),</a>
<a name="78"><span class="lineNum">      78 </span>            :                           ],</a>
<a name="79"><span class="lineNum">      79 </span>            :                         ),</a>
<a name="80"><span class="lineNum">      80 </span>            :                         const SizedBox(</a>
<a name="81"><span class="lineNum">      81 </span>            :                           height: 5,</a>
<a name="82"><span class="lineNum">      82 </span>            :                         ),</a>
<a name="83"><span class="lineNum">      83 </span>            :                       ],</a>
<a name="84"><span class="lineNum">      84 </span>            :                     )),</a>
<a name="85"><span class="lineNum">      85 </span>            :               ),</a>
<a name="86"><span class="lineNum">      86 </span><span class="lineNoCov">          0 :               SizedBox(</span></a>
<a name="87"><span class="lineNum">      87 </span><span class="lineNoCov">          0 :                 height: MediaQuery.of(context).size.height / 10,</span></a>
<a name="88"><span class="lineNum">      88 </span>            :               ),</a>
<a name="89"><span class="lineNum">      89 </span><span class="lineNoCov">          0 :               Container(</span></a>
<a name="90"><span class="lineNum">      90 </span>            :                   padding: const EdgeInsets.all(10),</a>
<a name="91"><span class="lineNum">      91 </span><span class="lineNoCov">          0 :                   child: Column(</span></a>
<a name="92"><span class="lineNum">      92 </span>            :                     crossAxisAlignment: CrossAxisAlignment.start,</a>
<a name="93"><span class="lineNum">      93 </span><span class="lineNoCov">          0 :                     children: [</span></a>
<a name="94"><span class="lineNum">      94 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="95"><span class="lineNum">      95 </span>            :                         padding: const EdgeInsets.only(left: 20),</a>
<a name="96"><span class="lineNum">      96 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="97"><span class="lineNum">      97 </span>            :                           &quot;Nombre Comercial&quot;,</a>
<a name="98"><span class="lineNum">      98 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="99"><span class="lineNum">      99 </span>            :                               fontSize:</a>
<a name="100"><span class="lineNum">     100 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 20,</span></a>
<a name="101"><span class="lineNum">     101 </span>            :                               fontWeight: FontWeight.bold),</a>
<a name="102"><span class="lineNum">     102 </span>            :                         ),</a>
<a name="103"><span class="lineNum">     103 </span>            :                       ),</a>
<a name="104"><span class="lineNum">     104 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="105"><span class="lineNum">     105 </span>            :                         padding: const EdgeInsets.only(left: 30),</a>
<a name="106"><span class="lineNum">     106 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="107"><span class="lineNum">     107 </span><span class="lineNoCov">          0 :                           settlement.nombreComercial == null ||</span></a>
<a name="108"><span class="lineNum">     108 </span><span class="lineNoCov">          0 :                                   settlement.nombreComercial == &quot;&quot;</span></a>
<a name="109"><span class="lineNum">     109 </span>            :                               ? &quot;Sin nombre&quot;</a>
<a name="110"><span class="lineNum">     110 </span><span class="lineNoCov">          0 :                               : settlement.nombreComercial!,</span></a>
<a name="111"><span class="lineNum">     111 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="112"><span class="lineNum">     112 </span>            :                               fontSize:</a>
<a name="113"><span class="lineNum">     113 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 15,</span></a>
<a name="114"><span class="lineNum">     114 </span>            :                               fontWeight: FontWeight.w500),</a>
<a name="115"><span class="lineNum">     115 </span>            :                         ),</a>
<a name="116"><span class="lineNum">     116 </span>            :                       ),</a>
<a name="117"><span class="lineNum">     117 </span>            :                       const SizedBox(</a>
<a name="118"><span class="lineNum">     118 </span>            :                         height: 10,</a>
<a name="119"><span class="lineNum">     119 </span>            :                       ),</a>
<a name="120"><span class="lineNum">     120 </span>            :                       //Clasificacion</a>
<a name="121"><span class="lineNum">     121 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="122"><span class="lineNum">     122 </span>            :                         padding: const EdgeInsets.only(left: 20),</a>
<a name="123"><span class="lineNum">     123 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="124"><span class="lineNum">     124 </span>            :                           &quot;Clasificacion/Categoria&quot;,</a>
<a name="125"><span class="lineNum">     125 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="126"><span class="lineNum">     126 </span>            :                               fontSize:</a>
<a name="127"><span class="lineNum">     127 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 20,</span></a>
<a name="128"><span class="lineNum">     128 </span>            :                               fontWeight: FontWeight.bold),</a>
<a name="129"><span class="lineNum">     129 </span>            :                         ),</a>
<a name="130"><span class="lineNum">     130 </span>            :                       ),</a>
<a name="131"><span class="lineNum">     131 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="132"><span class="lineNum">     132 </span>            :                         padding: const EdgeInsets.only(left: 30),</a>
<a name="133"><span class="lineNum">     133 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="134"><span class="lineNum">     134 </span><span class="lineNoCov">          0 :                           &quot;${settlement.clasificacion == null || settlement.clasificacion == &quot;&quot; ? &quot;Sin clasificación&quot; : settlement.clasificacion}- ${settlement.categoria == null || settlement.categoria == &quot;&quot; ? &quot;Categoria no disponible &quot; : settlement.categoria}&quot;,</span></a>
<a name="135"><span class="lineNum">     135 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="136"><span class="lineNum">     136 </span>            :                               fontSize:</a>
<a name="137"><span class="lineNum">     137 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 15,</span></a>
<a name="138"><span class="lineNum">     138 </span>            :                               fontWeight: FontWeight.w500),</a>
<a name="139"><span class="lineNum">     139 </span>            :                         ),</a>
<a name="140"><span class="lineNum">     140 </span>            :                       ),</a>
<a name="141"><span class="lineNum">     141 </span>            :                       const SizedBox(</a>
<a name="142"><span class="lineNum">     142 </span>            :                         height: 10,</a>
<a name="143"><span class="lineNum">     143 </span>            :                       ),</a>
<a name="144"><span class="lineNum">     144 </span>            :                       //numeroRegistro</a>
<a name="145"><span class="lineNum">     145 </span>            : </a>
<a name="146"><span class="lineNum">     146 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="147"><span class="lineNum">     147 </span>            :                         padding: const EdgeInsets.only(left: 20),</a>
<a name="148"><span class="lineNum">     148 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="149"><span class="lineNum">     149 </span>            :                           &quot;Numero de registro&quot;,</a>
<a name="150"><span class="lineNum">     150 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="151"><span class="lineNum">     151 </span>            :                               fontSize:</a>
<a name="152"><span class="lineNum">     152 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 20,</span></a>
<a name="153"><span class="lineNum">     153 </span>            :                               fontWeight: FontWeight.bold),</a>
<a name="154"><span class="lineNum">     154 </span>            :                         ),</a>
<a name="155"><span class="lineNum">     155 </span>            :                       ),</a>
<a name="156"><span class="lineNum">     156 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="157"><span class="lineNum">     157 </span>            :                         padding: const EdgeInsets.only(left: 30),</a>
<a name="158"><span class="lineNum">     158 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="159"><span class="lineNum">     159 </span><span class="lineNoCov">          0 :                           settlement.numeroRegistro == null ||</span></a>
<a name="160"><span class="lineNum">     160 </span><span class="lineNoCov">          0 :                                   settlement.numeroRegistro == &quot;&quot;</span></a>
<a name="161"><span class="lineNum">     161 </span>            :                               ? &quot;Sin registro &quot;</a>
<a name="162"><span class="lineNum">     162 </span><span class="lineNoCov">          0 :                               : settlement.numeroRegistro!,</span></a>
<a name="163"><span class="lineNum">     163 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="164"><span class="lineNum">     164 </span>            :                               fontSize:</a>
<a name="165"><span class="lineNum">     165 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 15,</span></a>
<a name="166"><span class="lineNum">     166 </span>            :                               fontWeight: FontWeight.w500),</a>
<a name="167"><span class="lineNum">     167 </span>            :                         ),</a>
<a name="168"><span class="lineNum">     168 </span>            :                       ),</a>
<a name="169"><span class="lineNum">     169 </span>            :                       const SizedBox(</a>
<a name="170"><span class="lineNum">     170 </span>            :                         height: 10,</a>
<a name="171"><span class="lineNum">     171 </span>            :                       ),</a>
<a name="172"><span class="lineNum">     172 </span>            :                       //Address</a>
<a name="173"><span class="lineNum">     173 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="174"><span class="lineNum">     174 </span>            :                         padding: const EdgeInsets.only(left: 20),</a>
<a name="175"><span class="lineNum">     175 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="176"><span class="lineNum">     176 </span>            :                           &quot;Dirección&quot;,</a>
<a name="177"><span class="lineNum">     177 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="178"><span class="lineNum">     178 </span>            :                               fontSize:</a>
<a name="179"><span class="lineNum">     179 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 20,</span></a>
<a name="180"><span class="lineNum">     180 </span>            :                               fontWeight: FontWeight.bold),</a>
<a name="181"><span class="lineNum">     181 </span>            :                         ),</a>
<a name="182"><span class="lineNum">     182 </span>            :                       ),</a>
<a name="183"><span class="lineNum">     183 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="184"><span class="lineNum">     184 </span>            :                         padding: const EdgeInsets.only(left: 30),</a>
<a name="185"><span class="lineNum">     185 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="186"><span class="lineNum">     186 </span><span class="lineNoCov">          0 :                           settlement.direccion == null ||</span></a>
<a name="187"><span class="lineNum">     187 </span><span class="lineNoCov">          0 :                                   settlement.direccion == &quot;&quot;</span></a>
<a name="188"><span class="lineNum">     188 </span>            :                               ? &quot;Direccion no disponible&quot;</a>
<a name="189"><span class="lineNum">     189 </span><span class="lineNoCov">          0 :                               : settlement.direccion!,</span></a>
<a name="190"><span class="lineNum">     190 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="191"><span class="lineNum">     191 </span>            :                               fontSize:</a>
<a name="192"><span class="lineNum">     192 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 15,</span></a>
<a name="193"><span class="lineNum">     193 </span>            :                               fontWeight: FontWeight.w500),</a>
<a name="194"><span class="lineNum">     194 </span>            :                         ),</a>
<a name="195"><span class="lineNum">     195 </span>            :                       ),</a>
<a name="196"><span class="lineNum">     196 </span>            :                       const SizedBox(</a>
<a name="197"><span class="lineNum">     197 </span>            :                         height: 10,</a>
<a name="198"><span class="lineNum">     198 </span>            :                       ),</a>
<a name="199"><span class="lineNum">     199 </span>            : </a>
<a name="200"><span class="lineNum">     200 </span>            :                       ///parroquia/canton/provincia</a>
<a name="201"><span class="lineNum">     201 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="202"><span class="lineNum">     202 </span>            :                         padding: const EdgeInsets.only(left: 20),</a>
<a name="203"><span class="lineNum">     203 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="204"><span class="lineNum">     204 </span>            :                           &quot;Parroquia/Pronvicia/Canton&quot;,</a>
<a name="205"><span class="lineNum">     205 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="206"><span class="lineNum">     206 </span>            :                               fontSize:</a>
<a name="207"><span class="lineNum">     207 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 20,</span></a>
<a name="208"><span class="lineNum">     208 </span>            :                               fontWeight: FontWeight.bold),</a>
<a name="209"><span class="lineNum">     209 </span>            :                         ),</a>
<a name="210"><span class="lineNum">     210 </span>            :                       ),</a>
<a name="211"><span class="lineNum">     211 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="212"><span class="lineNum">     212 </span>            :                         padding: const EdgeInsets.only(left: 30),</a>
<a name="213"><span class="lineNum">     213 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="214"><span class="lineNum">     214 </span><span class="lineNoCov">          0 :                           &quot;${settlement.parroquia == null || settlement.parroquia == &quot;&quot; ? &quot;No definido&quot; : settlement.parroquia}/ ${settlement.canton == null || settlement.canton == &quot;&quot; ? &quot;No definido&quot; : settlement.canton}/ ${settlement.provincia == null || settlement.provincia == &quot;&quot; ? &quot;No definido&quot; : settlement.provincia}&quot;,</span></a>
<a name="215"><span class="lineNum">     215 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="216"><span class="lineNum">     216 </span>            :                               fontSize:</a>
<a name="217"><span class="lineNum">     217 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 15,</span></a>
<a name="218"><span class="lineNum">     218 </span>            :                               fontWeight: FontWeight.w500),</a>
<a name="219"><span class="lineNum">     219 </span>            :                         ),</a>
<a name="220"><span class="lineNum">     220 </span>            :                       ),</a>
<a name="221"><span class="lineNum">     221 </span>            :                       const SizedBox(</a>
<a name="222"><span class="lineNum">     222 </span>            :                         height: 10,</a>
<a name="223"><span class="lineNum">     223 </span>            :                       ),</a>
<a name="224"><span class="lineNum">     224 </span>            :                       //Phone</a>
<a name="225"><span class="lineNum">     225 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="226"><span class="lineNum">     226 </span>            :                         padding: const EdgeInsets.only(left: 20),</a>
<a name="227"><span class="lineNum">     227 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="228"><span class="lineNum">     228 </span>            :                           &quot;Telefono principal&quot;,</a>
<a name="229"><span class="lineNum">     229 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="230"><span class="lineNum">     230 </span>            :                               fontSize:</a>
<a name="231"><span class="lineNum">     231 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 20,</span></a>
<a name="232"><span class="lineNum">     232 </span>            :                               fontWeight: FontWeight.bold),</a>
<a name="233"><span class="lineNum">     233 </span>            :                         ),</a>
<a name="234"><span class="lineNum">     234 </span>            :                       ),</a>
<a name="235"><span class="lineNum">     235 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="236"><span class="lineNum">     236 </span>            :                         padding: const EdgeInsets.only(left: 30),</a>
<a name="237"><span class="lineNum">     237 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="238"><span class="lineNum">     238 </span><span class="lineNoCov">          0 :                           settlement.telefonoPrincipal == null ||</span></a>
<a name="239"><span class="lineNum">     239 </span><span class="lineNoCov">          0 :                                   settlement.telefonoPrincipal == &quot;&quot;</span></a>
<a name="240"><span class="lineNum">     240 </span>            :                               ? &quot;Telefono no disponible&quot;</a>
<a name="241"><span class="lineNum">     241 </span><span class="lineNoCov">          0 :                               : settlement.telefonoPrincipal!,</span></a>
<a name="242"><span class="lineNum">     242 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="243"><span class="lineNum">     243 </span>            :                               fontSize:</a>
<a name="244"><span class="lineNum">     244 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 15,</span></a>
<a name="245"><span class="lineNum">     245 </span>            :                               fontWeight: FontWeight.w500),</a>
<a name="246"><span class="lineNum">     246 </span>            :                         ),</a>
<a name="247"><span class="lineNum">     247 </span>            :                       ),</a>
<a name="248"><span class="lineNum">     248 </span>            :                       const SizedBox(</a>
<a name="249"><span class="lineNum">     249 </span>            :                         height: 10,</a>
<a name="250"><span class="lineNum">     250 </span>            :                       ),</a>
<a name="251"><span class="lineNum">     251 </span>            :                       //Email</a>
<a name="252"><span class="lineNum">     252 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="253"><span class="lineNum">     253 </span>            :                         padding: const EdgeInsets.only(left: 20),</a>
<a name="254"><span class="lineNum">     254 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="255"><span class="lineNum">     255 </span>            :                           &quot;Email&quot;,</a>
<a name="256"><span class="lineNum">     256 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="257"><span class="lineNum">     257 </span>            :                               fontSize:</a>
<a name="258"><span class="lineNum">     258 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 20,</span></a>
<a name="259"><span class="lineNum">     259 </span>            :                               fontWeight: FontWeight.bold),</a>
<a name="260"><span class="lineNum">     260 </span>            :                         ),</a>
<a name="261"><span class="lineNum">     261 </span>            :                       ),</a>
<a name="262"><span class="lineNum">     262 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="263"><span class="lineNum">     263 </span>            :                         padding: const EdgeInsets.only(left: 30),</a>
<a name="264"><span class="lineNum">     264 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="265"><span class="lineNum">     265 </span><span class="lineNoCov">          0 :                           settlement.correoElectronico == null ||</span></a>
<a name="266"><span class="lineNum">     266 </span><span class="lineNoCov">          0 :                                   settlement.correoElectronico == &quot;&quot;</span></a>
<a name="267"><span class="lineNum">     267 </span>            :                               ? &quot;Correo electronico no disponible&quot;</a>
<a name="268"><span class="lineNum">     268 </span><span class="lineNoCov">          0 :                               : settlement.correoElectronico!,</span></a>
<a name="269"><span class="lineNum">     269 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="270"><span class="lineNum">     270 </span>            :                               fontSize:</a>
<a name="271"><span class="lineNum">     271 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 15,</span></a>
<a name="272"><span class="lineNum">     272 </span>            :                               fontWeight: FontWeight.w500),</a>
<a name="273"><span class="lineNum">     273 </span>            :                         ),</a>
<a name="274"><span class="lineNum">     274 </span>            :                       ),</a>
<a name="275"><span class="lineNum">     275 </span>            :                       const SizedBox(</a>
<a name="276"><span class="lineNum">     276 </span>            :                         height: 10,</a>
<a name="277"><span class="lineNum">     277 </span>            :                       ),</a>
<a name="278"><span class="lineNum">     278 </span>            :                       //Web</a>
<a name="279"><span class="lineNum">     279 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="280"><span class="lineNum">     280 </span>            :                         padding: const EdgeInsets.only(left: 20),</a>
<a name="281"><span class="lineNum">     281 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="282"><span class="lineNum">     282 </span>            :                           &quot;Direccion web&quot;,</a>
<a name="283"><span class="lineNum">     283 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="284"><span class="lineNum">     284 </span>            :                               fontSize:</a>
<a name="285"><span class="lineNum">     285 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 20,</span></a>
<a name="286"><span class="lineNum">     286 </span>            :                               fontWeight: FontWeight.bold),</a>
<a name="287"><span class="lineNum">     287 </span>            :                         ),</a>
<a name="288"><span class="lineNum">     288 </span>            :                       ),</a>
<a name="289"><span class="lineNum">     289 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="290"><span class="lineNum">     290 </span>            :                         padding: const EdgeInsets.only(left: 30),</a>
<a name="291"><span class="lineNum">     291 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="292"><span class="lineNum">     292 </span><span class="lineNoCov">          0 :                           settlement.direccionWeb == null ||</span></a>
<a name="293"><span class="lineNum">     293 </span><span class="lineNoCov">          0 :                                   settlement.direccionWeb == &quot;&quot;</span></a>
<a name="294"><span class="lineNum">     294 </span>            :                               ? &quot;Web no disponible&quot;</a>
<a name="295"><span class="lineNum">     295 </span><span class="lineNoCov">          0 :                               : settlement.direccionWeb!,</span></a>
<a name="296"><span class="lineNum">     296 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="297"><span class="lineNum">     297 </span>            :                               fontSize:</a>
<a name="298"><span class="lineNum">     298 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 15,</span></a>
<a name="299"><span class="lineNum">     299 </span>            :                               fontWeight: FontWeight.w500),</a>
<a name="300"><span class="lineNum">     300 </span>            :                         ),</a>
<a name="301"><span class="lineNum">     301 </span>            :                       ),</a>
<a name="302"><span class="lineNum">     302 </span>            :                       const SizedBox(</a>
<a name="303"><span class="lineNum">     303 </span>            :                         height: 10,</a>
<a name="304"><span class="lineNum">     304 </span>            :                       ),</a>
<a name="305"><span class="lineNum">     305 </span>            :                       //</a>
<a name="306"><span class="lineNum">     306 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="307"><span class="lineNum">     307 </span>            :                         padding: const EdgeInsets.only(left: 20),</a>
<a name="308"><span class="lineNum">     308 </span><span class="lineNoCov">          0 :                         child: Text(</span></a>
<a name="309"><span class="lineNum">     309 </span>            :                           &quot;Mas opciones&quot;,</a>
<a name="310"><span class="lineNum">     310 </span><span class="lineNoCov">          0 :                           style: GoogleFonts.lato(</span></a>
<a name="311"><span class="lineNum">     311 </span>            :                               fontSize:</a>
<a name="312"><span class="lineNum">     312 </span><span class="lineNoCov">          0 :                                   MediaQuery.of(context).textScaleFactor * 20,</span></a>
<a name="313"><span class="lineNum">     313 </span>            :                               fontWeight: FontWeight.bold),</a>
<a name="314"><span class="lineNum">     314 </span>            :                         ),</a>
<a name="315"><span class="lineNum">     315 </span>            :                       ),</a>
<a name="316"><span class="lineNum">     316 </span>            :                       //</a>
<a name="317"><span class="lineNum">     317 </span><span class="lineNoCov">          0 :                       Container(</span></a>
<a name="318"><span class="lineNum">     318 </span>            :                         padding: const EdgeInsets.only(left: 30),</a>
<a name="319"><span class="lineNum">     319 </span><span class="lineNoCov">          0 :                         child: Row(</span></a>
<a name="320"><span class="lineNum">     320 </span>            :                           mainAxisAlignment: MainAxisAlignment.spaceEvenly,</a>
<a name="321"><span class="lineNum">     321 </span><span class="lineNoCov">          0 :                           children: [</span></a>
<a name="322"><span class="lineNum">     322 </span><span class="lineNoCov">          0 :                             InkWell(</span></a>
<a name="323"><span class="lineNum">     323 </span><span class="lineNoCov">          0 :                               onTap: () {</span></a>
<a name="324"><span class="lineNum">     324 </span><span class="lineNoCov">          0 :                                 Share.share(</span></a>
<a name="325"><span class="lineNum">     325 </span><span class="lineNoCov">          0 :                                     &quot;Hola, te comparto la informacion de ${settlement.nombreComercial} ubicado en ${settlement.direccion}/${settlement.canton}-${settlement.provincia}. Numero de contacto: ${settlement.telefonoPrincipal},google maps:  https://www.google.com/maps/search/?api=1&amp;query=${&quot;${settlement.nombreComercial} ${settlement.provincia} Ecuador&quot;}&quot;);</span></a>
<a name="326"><span class="lineNum">     326 </span>            :                               },</a>
<a name="327"><span class="lineNum">     327 </span><span class="lineNoCov">          0 :                               child: Row(children: const [</span></a>
<a name="328"><span class="lineNum">     328 </span>            :                                 Icon(FontAwesomeIcons.share),</a>
<a name="329"><span class="lineNum">     329 </span>            :                                 SizedBox(</a>
<a name="330"><span class="lineNum">     330 </span>            :                                   width: 10,</a>
<a name="331"><span class="lineNum">     331 </span>            :                                 ),</a>
<a name="332"><span class="lineNum">     332 </span>            :                                 Text(&quot;Compartir&quot;)</a>
<a name="333"><span class="lineNum">     333 </span>            :                               ]),</a>
<a name="334"><span class="lineNum">     334 </span>            :                             ),</a>
<a name="335"><span class="lineNum">     335 </span>            :                             //Copiar</a>
<a name="336"><span class="lineNum">     336 </span><span class="lineNoCov">          0 :                             InkWell(</span></a>
<a name="337"><span class="lineNum">     337 </span><span class="lineNoCov">          0 :                               onTap: () {</span></a>
<a name="338"><span class="lineNum">     338 </span><span class="lineNoCov">          0 :                                 Clipboard.setData(ClipboardData(</span></a>
<a name="339"><span class="lineNum">     339 </span>            :                                     text:</a>
<a name="340"><span class="lineNum">     340 </span><span class="lineNoCov">          0 :                                         &quot;${settlement.nombreComercial} ubicado en ${settlement.direccion}/${settlement.canton}-${settlement.provincia}. Numero de contacto: ${settlement.telefonoPrincipal},google maps:  https://www.google.com/maps/search/?api=1&amp;query=${&quot;${settlement.nombreComercial} ${settlement.provincia} Ecuador&quot;}&quot;));</span></a>
<a name="341"><span class="lineNum">     341 </span><span class="lineNoCov">          0 :                                 ScaffoldMessenger.of(context).showSnackBar(</span></a>
<a name="342"><span class="lineNum">     342 </span>            :                                     const SnackBar(</a>
<a name="343"><span class="lineNum">     343 </span>            :                                         content: Text(</a>
<a name="344"><span class="lineNum">     344 </span>            :                                             &quot;Informacion copiada al portapapeles&quot;)));</a>
<a name="345"><span class="lineNum">     345 </span>            :                               },</a>
<a name="346"><span class="lineNum">     346 </span><span class="lineNoCov">          0 :                               child: Row(children: const [</span></a>
<a name="347"><span class="lineNum">     347 </span>            :                                 Icon(FontAwesomeIcons.copy),</a>
<a name="348"><span class="lineNum">     348 </span>            :                                 SizedBox(</a>
<a name="349"><span class="lineNum">     349 </span>            :                                   width: 10,</a>
<a name="350"><span class="lineNum">     350 </span>            :                                 ),</a>
<a name="351"><span class="lineNum">     351 </span>            :                                 Text(&quot;Copiar&quot;)</a>
<a name="352"><span class="lineNum">     352 </span>            :                               ]),</a>
<a name="353"><span class="lineNum">     353 </span>            :                             ),</a>
<a name="354"><span class="lineNum">     354 </span>            :                           ],</a>
<a name="355"><span class="lineNum">     355 </span>            :                         ),</a>
<a name="356"><span class="lineNum">     356 </span>            :                       ),</a>
<a name="357"><span class="lineNum">     357 </span>            :                     ],</a>
<a name="358"><span class="lineNum">     358 </span>            :                   )),</a>
<a name="359"><span class="lineNum">     359 </span>            :             ],</a>
<a name="360"><span class="lineNum">     360 </span>            :           ),</a>
<a name="361"><span class="lineNum">     361 </span>            :         ),</a>
<a name="362"><span class="lineNum">     362 </span><span class="lineNoCov">          0 :         Positioned(</span></a>
<a name="363"><span class="lineNum">     363 </span><span class="lineNoCov">          0 :           top: MediaQuery.of(context).size.height * .1,</span></a>
<a name="364"><span class="lineNum">     364 </span><span class="lineNoCov">          0 :           left: MediaQuery.of(context).size.width * .05,</span></a>
<a name="365"><span class="lineNum">     365 </span><span class="lineNoCov">          0 :           child: Container(</span></a>
<a name="366"><span class="lineNum">     366 </span><span class="lineNoCov">          0 :               height: MediaQuery.of(context).size.height * 0.1,</span></a>
<a name="367"><span class="lineNum">     367 </span><span class="lineNoCov">          0 :               width: MediaQuery.of(context).size.width * .9,</span></a>
<a name="368"><span class="lineNum">     368 </span>            :               padding: const EdgeInsets.all(10),</a>
<a name="369"><span class="lineNum">     369 </span><span class="lineNoCov">          0 :               decoration: BoxDecoration(</span></a>
<a name="370"><span class="lineNum">     370 </span><span class="lineNoCov">          0 :                   color: Colors.white, borderRadius: BorderRadius.circular(10)),</span></a>
<a name="371"><span class="lineNum">     371 </span>            :               child:</a>
<a name="372"><span class="lineNum">     372 </span><span class="lineNoCov">          0 :                   Row(mainAxisAlignment: MainAxisAlignment.center, children: [</span></a>
<a name="373"><span class="lineNum">     373 </span>            :                 //Geolocate, call, email, web options icon label buttons</a>
<a name="374"><span class="lineNum">     374 </span><span class="lineNoCov">          0 :                 IconLabelButton(</span></a>
<a name="375"><span class="lineNum">     375 </span>            :                     icon: Icons.location_on,</a>
<a name="376"><span class="lineNum">     376 </span>            :                     label: &quot;Ubicar&quot;,</a>
<a name="377"><span class="lineNum">     377 </span><span class="lineNoCov">          0 :                     isAvailable: settlement.direccion != null,</span></a>
<a name="378"><span class="lineNum">     378 </span>            :                     color: Colors.green,</a>
<a name="379"><span class="lineNum">     379 </span><span class="lineNoCov">          0 :                     onTap: () {</span></a>
<a name="380"><span class="lineNum">     380 </span><span class="lineNoCov">          0 :                       var uri = Uri.parse(</span></a>
<a name="381"><span class="lineNum">     381 </span><span class="lineNoCov">          0 :                           &quot;https://www.google.com/maps/search/?api=1&amp;query=${&quot;${settlement.nombreComercial} ${settlement.provincia} Ecuador&quot;}&quot;);</span></a>
<a name="382"><span class="lineNum">     382 </span><span class="lineNoCov">          0 :                       launchUrl(uri);</span></a>
<a name="383"><span class="lineNum">     383 </span>            :                     }),</a>
<a name="384"><span class="lineNum">     384 </span>            :                 const SizedBox(</a>
<a name="385"><span class="lineNum">     385 </span>            :                   width: 10,</a>
<a name="386"><span class="lineNum">     386 </span>            :                 ),</a>
<a name="387"><span class="lineNum">     387 </span><span class="lineNoCov">          0 :                 IconLabelButton(</span></a>
<a name="388"><span class="lineNum">     388 </span>            :                     icon: Icons.call,</a>
<a name="389"><span class="lineNum">     389 </span>            :                     label: &quot;Llamar&quot;,</a>
<a name="390"><span class="lineNum">     390 </span><span class="lineNoCov">          0 :                     isAvailable: settlement.telefonoPrincipal != null ||</span></a>
<a name="391"><span class="lineNum">     391 </span><span class="lineNoCov">          0 :                         settlement.telefonoPrincipal != &quot;&quot;,</span></a>
<a name="392"><span class="lineNum">     392 </span>            :                     color: Colors.blue,</a>
<a name="393"><span class="lineNum">     393 </span><span class="lineNoCov">          0 :                     onTap: () {</span></a>
<a name="394"><span class="lineNum">     394 </span><span class="lineNoCov">          0 :                       var uri = Uri.parse(</span></a>
<a name="395"><span class="lineNum">     395 </span><span class="lineNoCov">          0 :                         &quot;tel:${settlement.telefonoPrincipal}&quot;,</span></a>
<a name="396"><span class="lineNum">     396 </span>            :                       );</a>
<a name="397"><span class="lineNum">     397 </span><span class="lineNoCov">          0 :                       launchUrl(uri);</span></a>
<a name="398"><span class="lineNum">     398 </span>            :                     }),</a>
<a name="399"><span class="lineNum">     399 </span>            :                 const SizedBox(</a>
<a name="400"><span class="lineNum">     400 </span>            :                   width: 10,</a>
<a name="401"><span class="lineNum">     401 </span>            :                 ),</a>
<a name="402"><span class="lineNum">     402 </span><span class="lineNoCov">          0 :                 IconLabelButton(</span></a>
<a name="403"><span class="lineNum">     403 </span>            :                     icon: Icons.email,</a>
<a name="404"><span class="lineNum">     404 </span>            :                     label: &quot;Correo&quot;,</a>
<a name="405"><span class="lineNum">     405 </span><span class="lineNoCov">          0 :                     isAvailable: settlement.correoElectronico != null ||</span></a>
<a name="406"><span class="lineNum">     406 </span><span class="lineNoCov">          0 :                         settlement.correoElectronico != &quot;&quot;,</span></a>
<a name="407"><span class="lineNum">     407 </span>            :                     color: Colors.blue,</a>
<a name="408"><span class="lineNum">     408 </span><span class="lineNoCov">          0 :                     onTap: () {</span></a>
<a name="409"><span class="lineNum">     409 </span>            :                       var uri =</a>
<a name="410"><span class="lineNum">     410 </span><span class="lineNoCov">          0 :                           Uri.parse(&quot;mailto:${settlement.correoElectronico}&quot;);</span></a>
<a name="411"><span class="lineNum">     411 </span><span class="lineNoCov">          0 :                       launchUrl(uri);</span></a>
<a name="412"><span class="lineNum">     412 </span>            :                     }),</a>
<a name="413"><span class="lineNum">     413 </span>            :                 const SizedBox(</a>
<a name="414"><span class="lineNum">     414 </span>            :                   width: 10,</a>
<a name="415"><span class="lineNum">     415 </span>            :                 ),</a>
<a name="416"><span class="lineNum">     416 </span><span class="lineNoCov">          0 :                 IconLabelButton(</span></a>
<a name="417"><span class="lineNum">     417 </span>            :                     //Icon www</a>
<a name="418"><span class="lineNum">     418 </span>            :                     icon: Icons.web,</a>
<a name="419"><span class="lineNum">     419 </span>            :                     label: &quot;Web&quot;,</a>
<a name="420"><span class="lineNum">     420 </span>            :                     isAvailable: true,</a>
<a name="421"><span class="lineNum">     421 </span>            :                     color: Colors.blue,</a>
<a name="422"><span class="lineNum">     422 </span><span class="lineNoCov">          0 :                     onTap: () async {</span></a>
<a name="423"><span class="lineNum">     423 </span>            :                       var url = &quot;&quot;;</a>
<a name="424"><span class="lineNum">     424 </span>            :                       var hasUrl = false;</a>
<a name="425"><span class="lineNum">     425 </span><span class="lineNoCov">          0 :                       if (settlement.direccionWeb == null ||</span></a>
<a name="426"><span class="lineNum">     426 </span><span class="lineNoCov">          0 :                           settlement.direccionWeb == &quot;&quot;) {</span></a>
<a name="427"><span class="lineNum">     427 </span>            :                         url =</a>
<a name="428"><span class="lineNum">     428 </span><span class="lineNoCov">          0 :                             &quot;https://www.google.com/search?q=${&quot;${settlement.nombreComercial} ${settlement.provincia} Ecuador&quot;}&quot;;</span></a>
<a name="429"><span class="lineNum">     429 </span>            :                       } else {</a>
<a name="430"><span class="lineNum">     430 </span><span class="lineNoCov">          0 :                         url = settlement.direccionWeb!;</span></a>
<a name="431"><span class="lineNum">     431 </span>            : </a>
<a name="432"><span class="lineNum">     432 </span><span class="lineNoCov">          0 :                         var response = await http.get(Uri.parse(url));</span></a>
<a name="433"><span class="lineNum">     433 </span>            : </a>
<a name="434"><span class="lineNum">     434 </span><span class="lineNoCov">          0 :                         if (response.statusCode != 200) {</span></a>
<a name="435"><span class="lineNum">     435 </span>            :                           url =</a>
<a name="436"><span class="lineNum">     436 </span><span class="lineNoCov">          0 :                               &quot;https://www.google.com/search?q=${&quot;${settlement.nombreComercial} ${settlement.provincia} Ecuador&quot;}&quot;;</span></a>
<a name="437"><span class="lineNum">     437 </span>            :                           hasUrl = false;</a>
<a name="438"><span class="lineNum">     438 </span>            :                         } else {</a>
<a name="439"><span class="lineNum">     439 </span>            :                           url =</a>
<a name="440"><span class="lineNum">     440 </span><span class="lineNoCov">          0 :                               &quot;https://www.google.com/search?q=${&quot;${settlement.nombreComercial} ${settlement.provincia} Ecuador&quot;}&quot;;</span></a>
<a name="441"><span class="lineNum">     441 </span>            :                           hasUrl = true;</a>
<a name="442"><span class="lineNum">     442 </span>            :                         }</a>
<a name="443"><span class="lineNum">     443 </span>            :                       }</a>
<a name="444"><span class="lineNum">     444 </span>            : </a>
<a name="445"><span class="lineNum">     445 </span><span class="lineNoCov">          0 :                       var uri = Uri.parse(url);</span></a>
<a name="446"><span class="lineNum">     446 </span>            :                       //has url true open in browser</a>
<a name="447"><span class="lineNum">     447 </span>            :                       hasUrl</a>
<a name="448"><span class="lineNum">     448 </span><span class="lineNoCov">          0 :                           ? launchUrl(uri, mode: LaunchMode.externalApplication)</span></a>
<a name="449"><span class="lineNum">     449 </span><span class="lineNoCov">          0 :                           : launchUrl(uri);</span></a>
<a name="450"><span class="lineNum">     450 </span>            :                     }),</a>
<a name="451"><span class="lineNum">     451 </span>            :               ])),</a>
<a name="452"><span class="lineNum">     452 </span>            :         ),</a>
<a name="453"><span class="lineNum">     453 </span>            :       ],</a>
<a name="454"><span class="lineNum">     454 </span>            :     ));</a>
<a name="455"><span class="lineNum">     455 </span>            :   }</a>
<a name="456"><span class="lineNum">     456 </span>            : }</a>
</pre>
      </td>
    </tr>
  </table>
  <br>

  <table width="100%" border=0 cellspacing=0 cellpadding=0>
    <tr><td class="ruler"><img src="../../glass.png" width=3 height=3 alt=""></td></tr>
    <tr><td class="versionInfo">Generated by: <a href="http://ltp.sourceforge.net/coverage/lcov.php" target="_parent">LCOV version 1.15.alpha0w</a></td></tr>
  </table>
  <br>

</body>
</html>
